FORUMS
Remove All Ads from XDA

[RECOVERY] fairphone FP1 (1st edition, repartitioned) CWM 6.0.5.0

879 posts
Thanks Meter: 3,122
 
By chrmhoffmann, Inactive Recognized Developer on 18th January 2014, 01:48 PM
Post Reply Email Thread
Code:
#include 
/*
 * Your warranty is now void.
 *
 * I am not responsible for bricked devices, dead SD cards,
 * thermonuclear war, or you getting fired because the alarm app failed. Please
 * do some research if you have any concerns about features included in this ROM
 * before flashing it! YOU are choosing to make these modifications, and if
 * you point the finger at me for messing up your device, I will laugh at you.
 *
 * Submitting bug reports on nightly builds is the leading 
 * cause of male impotence.
 */
CyanogenMod/CWM is based on the Android Open Source Project with extra contributions from many people within the Android community. It can be used without any need to have any Google application installed.

This is CWM for the fairphone FP1 (first edition, repartitioned as of FP cherry 1.6). As there are no custom roms (yet), this might not be very useful as of now
Do not install on any other device than the fairphone FP1 first edition - repartitioned as of FP cherry 1.6.

Note:
- The recovery has been compiled from Cyanogenmod 11.0
- device tree https://github.com/chrmhoffmann/andr..._fairphone_FP1

Before proceeding please make a complete backup for ALL partitions (especially the recovery with e.g. MTK Droid Root & Tools).

Thxs go to:
- bgcngm/mtk-tools
- the guys who make MTK droid root & tools
- keesj from fairphone and tmp_ who gave us working kernel

What works
- you can adb into the CWM
- backup and restore (boot, data, cache, system)
- install from .zip files not tested but should work

Installation
a) copy the recovery to the device: adb push cwm-fp1-kk.0.1.img /storage/sdcard1
b) adb into device: adb shell
c) flash to recovery: dd if=/storage/sdcard1/cwm-fp1-kk.0.1.img of=/dev/recovery

You could also try to use a tool like mtk mobile uncle tools (not tested by me): https://play.google.com/store/apps/d...euncle.toolbox

Download:

Changelog:
kk-0.1:
- update to kitkat compliant version 6.0.5.0
- self-compiled kernel

https://goo.im/devs/chrmhoffmann/cm-...fp1-kk.0.1.img
md5sum b0081650e0e3677dc0c2f38ad76282e0

Older downloads:
Changelog:
v.0.2:
- rename to FP1 so that original zips should be flashable
v.0.1:
- initial version

Download

http://goo.im/devs/chrmhoffmann/fair...wm-FP1-0.2.img
md5sum ba524ae0d59125809d0c08b59e664a65

Older download

http://goo.im/devs/chrmhoffmann/fair...wm-fp1-0.1.img
md5sum 78a79f83bb2fc52b5bb6074df04d6892
The Following 27 Users Say Thank You to chrmhoffmann For This Useful Post: [ View ] Gift chrmhoffmann Ad-Free
 
 
18th January 2014, 02:54 PM |#2  
Member
Thanks Meter: 29
 
More
Thumbs up
Very nice!!! Thanks for your hard work!

Atm I don't have access to an FP1 but did anybody tried it already?

Regards,
Asmaron
18th January 2014, 07:30 PM |#3  
Junior Member
Thanks Meter: 26
 
More
Quote:
Originally Posted by asmaron

Very nice!!! Thanks for your hard work!

Atm I don't have access to an FP1 but did anybody tried it already?

Regards,
Asmaron

Ofc we tried ^^ (athought i suppose chrmhoffmann tried first ).

I mean it installs and starts without any noticable issue. Thanks again chrmhoffmann !
19th January 2014, 03:42 PM |#4  
Junior Member
Thanks Meter: 26
 
More
Issue when installing zip
Quote:
Originally Posted by MoreThanADev

Ofc we tried ^^ (athought i suppose chrmhoffmann tried first ).

I mean it installs and starts without any noticable issue. Thanks again chrmhoffmann !

Actually, there seems to be some issue when installing zip. (Or maybe I did not used it the right way ?)

I tried to
install zip -> chose zip from sdcard -> Fairphone_FP1_OS_v1_Recovery_2014-01-04.zip (downloaded from FP website) -> Yes
and it failled with some error message

"assert failed: getprop("ro.product.device") = "FP1" || getprop ("ro.build.product") = "FP1"
Error ... blablabla"

Is this normal that the file default.prop located at the / of the recovery contains different value from the file Fairphone_FP1_OS_v1_Recovery_2014-01-04.zip/system/build.prop downloaded from FP website ?

ie :
/default.prop as beeing seen in recovery

...

ro.product.model=Fairphone FP1
ro.product.brand=Android
ro.product.name=cm_fp1
ro.product.device=fp1
ro.product.board=
ro.product.cpu.abi=armeabi-v7a
ro.product.cpu.abi2=armeabi
ro.product.manufacturer=Fairphone

Fairphone_FP1_OS_v1_Recovery_2014-01-04.zip/system/build.prop

...

ro.product.model=FP1
ro.product.brand=FP
ro.product.name=FP1
ro.product.device=FP1
ro.product.board=FP1
ro.product.cpu.abi=armeabi-v7a
ro.product.cpu.abi2=armeabi
ro.product.manufacturer=FP1


You should be able to reproduce this easely if you own a FairPhone. Still i can provide further log if you wish.
19th January 2014, 04:26 PM |#5  
OP Inactive Recognized Developer
Thanks Meter: 3,122
 
More
Quote:
Originally Posted by MoreThanADev

Actually, there seems to be some issue when installing zip. (Or maybe I did not used it the right way ?)

I tried to
install zip -> chose zip from sdcard -> Fairphone_FP1_OS_v1_Recovery_2014-01-04.zip (downloaded from FP website) -> Yes
and it failled with some error message

"assert failed: getprop("ro.product.device") = "FP1" || getprop ("ro.build.product") = "FP1"
Error ... blablabla"

Is this normal that the file default.prop located at the / of the recovery contains different value from the file Fairphone_FP1_OS_v1_Recovery_2014-01-04.zip/system/build.prop downloaded from FP website ?

ie :

/default.prop as beeing seen in recovery

...

ro.product.model=Fairphone FP1
ro.product.brand=Android
ro.product.name=cm_fp1
ro.product.device=fp1
ro.product.board=
ro.product.cpu.abi=armeabi-v7a
ro.product.cpu.abi2=armeabi
ro.product.manufacturer=Fairphone

Fairphone_FP1_OS_v1_Recovery_2014-01-04.zip/system/build.prop

...

ro.product.model=FP1
ro.product.brand=FP
ro.product.name=FP1
ro.product.device=FP1
ro.product.board=FP1
ro.product.cpu.abi=armeabi-v7a
ro.product.cpu.abi2=armeabi
ro.product.manufacturer=FP1


You should be able to reproduce this easely if you own a FairPhone. Still i can provide further log if you wish.


Hmmm... You can test the installation by removing that assert from the zip file. It must be somewhere in META-INF/..../upgrade script.

I guess I could change the ro.product.device to FP1 [EDIT: argh that changes directory structures etc...]

Chris
19th January 2014, 05:01 PM |#6  
OP Inactive Recognized Developer
Thanks Meter: 3,122
 
More
Quote:
Originally Posted by chrmhoffmann

Hmmm... You can test the installation by removing that assert from the zip file. It must be somewhere in META-INF/..../upgrade script.

I guess I could change the ro.product.device to FP1 [EDIT: argh that changes directory structures etc...]

Chris

Should be fixed now. Update recovery to 0.2. See op.

Chris
The Following 8 Users Say Thank You to chrmhoffmann For This Useful Post: [ View ] Gift chrmhoffmann Ad-Free
31st July 2014, 03:42 PM |#7  
Junior Member
Thanks Meter: 0
 
More
FP1U
Does this version work with the new FP1U model with only a different chipset?
31st July 2014, 06:40 PM |#8  
OP Inactive Recognized Developer
Thanks Meter: 3,122
 
More
Don't think so. Someone who has the new one has to create it (new kernel needed, I think they also have different partitions?).

Chris
30th August 2014, 06:06 PM |#9  
OP Inactive Recognized Developer
Thanks Meter: 3,122
 
More
Updated version 6.0.5.0. See op.

Chris
The Following 4 Users Say Thank You to chrmhoffmann For This Useful Post: [ View ] Gift chrmhoffmann Ad-Free
31st August 2014, 08:21 PM |#10  
Member
Flag Amsterdam
Thanks Meter: 137
 
More
Quote:
Originally Posted by CheckItOut

Does this version work with the new FP1U model with only a different chipset?

I tested the install on FP1U and can confirm it works.

EDIT: I only tested the KitKat install.
The Following 2 Users Say Thank You to _keesj For This Useful Post: [ View ] Gift _keesj Ad-Free
1st September 2014, 07:46 AM |#11  
drcyber's Avatar
Senior Member
Thanks Meter: 39
 
More
is this new recovery compatible with 1.6 FPOS (4.2.2) too? Or do i have to flash it back to the original one after testing?
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes